Loading...
Searching...
No Matches
mbedtls_md5_context Struct Reference

MD5 context structure. More...

`#include <md5.h>`

## Data Fields

uint32_t | private_total [2]
uint32_t | private_state [4]
unsigned char | private_buffer [64]
int | dummy

## Detailed Description

MD5 context structure.

Warning
  MD5 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

Definition at line 39 of file md5.h.

## Field Documentation

## dummy

int mbedtls_md5_context::dummy

Definition at line 11 of file md5_alt.h.

## private_buffer

unsigned char mbedtls_md5_context::private_buffer[64]

data block being processed

Definition at line 42 of file md5.h.

## private_state

uint32_t mbedtls_md5_context::private_state[4]

intermediate digest state

Definition at line 41 of file md5.h.

## private_total

uint32_t mbedtls_md5_context::private_total[2]

number of bytes processed

Definition at line 40 of file md5.h.

The documentation for this struct was generated from the following files:

- md5.h
- md5_alt.h